API Reference
Broker presence
Register, heartbeat, and read who can take a human call right now.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
{
"token": "string",
"url": "string",
"identity": "string",
"roomName": "string",
"expiresAt": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "human calling is not enabled for this organization",
"code": "HUMAN_CALLING_DISABLED"
}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
{
"brokerId": "string",
"status": "available",
"lastSeenAt": "2019-08-24T14:15:22Z",
"reachable": true
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "human calling is not enabled for this organization",
"code": "HUMAN_CALLING_DISABLED"
}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
{
"brokerId": "string",
"status": "available",
"lastSeenAt": "2019-08-24T14:15:22Z",
"reachable": true
}{
"error": "Invalid request",
"code": "VALIDATION_ERROR",
"issues": [
{
"path": "to",
"message": "Required"
}
],
"retryable": false,
"docs_url": "https://docs.speko.dev/errors/validation_error"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "human calling is not enabled for this organization",
"code": "HUMAN_CALLING_DISABLED"
}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
application/json
{
"brokers": [
{
"brokerId": "string",
"status": "available",
"lastSeenAt": "2019-08-24T14:15:22Z",
"reachable": true
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "human calling is not enabled for this organization",
"code": "HUMAN_CALLING_DISABLED"
}